Transaction list

Get a complete list of transactions with their results and status information

GET
/api/v1/report/transactions

Base URL

Sandbox Base URL

Strictly for sandbox testing. Never use the sandbox URL in your production environment.
https://merchantapisandbox.hesabe.com

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Pass access token obtained from login endpoint

Header Parameters

accessCode*string

Pass the merchant access code issued by Hesabe

Accept*string
Content-Type*string

Query Parameters

fromDate*string

Pass the from date (YYYY-MM-DD)

toDate*string

Pass the to date (YYYY-MM-DD)

nostats*number

Pass the value 1

serviceType?number

Pass the serviceType number (Refer to the service type table below for quick reference)

paymentType*number

Pass the paymentType number (Refer to the payment type table below for quick reference)

paymentStatus?number

Pass the paymentStatus number (Refer to the payment status table below for quick reference)

page*number

Pass the pagination number

search?string

Pass the search string if required

data*string

Convert payload JSON object to encrypted string and send it to the server

Sample Encryption and Decryption Process:

The following steps demonstrate how to integrate with this API using sandbox credentials.

Step 1: Create JSON Object

{  "merchantCode":  "842217" // Pass the merchant code}

List of service types

Service TypesValue
SMS Payment"2"
Payment Gateway"3"
POS Terminal"6"
Open Invoice"7"
Rental"11"
Stock Listing"13"
Dynamic Commision"14"

List of payment types

Payment Method TypesValue
KNET"1"
MPGS"2"
CYBS"5"
AMEX"7"
MPGS AMEX"8"
MPGS Apple Pay"9"
CYBS Apple Pay"10"
KNET Debit Apple Pay"11"
KNET Credit Apple Pay"12"
KNET Apple Pay International"13"
AMEX Apple Pay International"14"
Subscription"15"
Google Pay"16"
Deema"18"
Samsung Pay"20"

List of payment status types

Payment Status TypesValue
Failed"0"
Success"1"
Refund"2"
Refund Failed"3"
Authorized"4"
MV-Success (Multivendor)"6"
Subscriptions"8"
CashPayment"9"
SM-Subs (Sub-Merchant Subscription)"10"
MV-Subs (Main-Merchant Subscription)"11"

Payload Details:

Contains the list of parameters and their corresponding values required to make the API request.

Field NameDescriptionRequired
merchantCodePass the merchant code provided by HesabeYes

Step 2: Convert the JSON object into an encrypted string format and post to Hesabe

{    "data": "0e7898bd7464d0c402fe8a949d9cbf9b826ccb9b83b56fa003373275f1947a65"}

Step 3: Receive encrypted response from Hesabe:

{  "response": "60a8f6241932227b840a9f5e36987f4de6a1b7f9e186ae61cfe12ce0d120ec70b9bf033edae7735cd3bca6b9fde42b72d05ec7c19699dc5428fdde37f6906aaf947c63a64c5512daa9c02dffbec9e17b81f382671f5ed58ccfea116cfeb7e04759cc4c8e534f434fcbe5964098d9c435f58a7beed9eab9173a1ad596365cf4bd6166d0abc524d60a1ad2a933b7c893226053cfbf1e68ba659ce4c3b757eccecd746......"}

Step 4: Decrypt the API response and view the JSON output

    {      "status": true,      "message": "Transaction Report List",      "response": {        "transaction_list": {          "data": [            {              "id": 166218,              "amount": 1003,              "net_amount": 1001.497,              "admin_charge": 0,              "token": "84221717646569007984785669818",              "payment_type_id": 1,              "service_type_id": 3,              "payment_transfer_status": 0,              "payment_status": 1,              "auth_status": 0,              "refund_status": 0,              "description": "",              "commission": 1.503,              "order_reference_number": "ORD-000041",              "transaction_payment_id": "100533620000003443",              "result_code": "CAPTURED",              "transaction_id": "533620000493159",              "auth": "B95905",              "transaction_reference_number": "533620000273",              "track_id": "353173",              "terminal_id": "570401",              "reconciled_document_number": "",              "bank_reference_id": 12,              "payment_transfer_document_number": "",              "payment_transfer_date": null,              "created_at": "2025-12-02 09:28:21",              "updated_at": "2025-12-02 09:29:09",              "invoice": null,              "payment_type": {                "id": 1,                "name": "KNET",                "display_name": "KNET"              },              "service_type": {                "id": 3,                "name": "Payment Gateway"              },              "merchant": {                "merchant_id": 84,                "name": "test",                "code": "842217",                "sequence_id": 1100012,                "company_name": "HomeMerchant01"              },              "reconciliation": null,              "payment_card_detail": {                "card_number": null,                "name_on_card": null,                "issuer_name": null              },              "customer": null,              "sales_order": null            }          ],          "pagination": {            "total": 1,            "count": 1,            "per_page": 15,            "current_page": 1,            "total_pages": 1,            "page_url": "https://merchantapisandbox.hesabe.com/api/v1/report/transactions",            "next_page_url": null,            "previous_page_url": null          }        }      }    }

Response Body

Details fetched successfully. Decrypt the server response to view the final result

application/json
  1. response

Transaction report response containing list of transactions with pagination

status?boolean

Indicates whether the request was successful

message?string

Response message

response?
Example Request
fetch("https://merchantapisandbox.hesabe.com/api/v1/report/transactions?fromDate=2025-12-02&toDate=2025-12-02&nostats=1&paymentType=&page=1&data=0e7898bd7464d0c402fe8a949d9cbf9b826ccb9b83b56fa003373275f1947a65", {  method: "GET",  headers: {    "accessCode": "c333729b-d060-4b74-a49d-7686a8353481",    "Accept": "application/json",    "Content-Type": "application/json"  }})
Example Response
{  "status": true,  "message": "Transaction Report List",  "response": {    "transaction_list": {      "data": [        {          "id": 166218,          "amount": 1003,          "net_amount": 1001.497,          "admin_charge": 0,          "token": "84221717646569007984785669818",          "payment_type_id": 1,          "service_type_id": 3,          "payment_transfer_status": 0,          "payment_status": 1,          "auth_status": 0,          "refund_status": 0,          "description": "",          "commission": 1.503,          "order_reference_number": "ORD-000041",          "transaction_payment_id": "100533620000003443",          "result_code": "CAPTURED",          "transaction_id": "533620000493159",          "auth": "B95905",          "transaction_reference_number": "533620000273",          "track_id": "353173",          "terminal_id": "570401",          "reconciled_document_number": "",          "bank_reference_id": 12,          "payment_transfer_document_number": "",          "payment_transfer_date": null,          "created_at": "2025-12-02 09:28:21",          "updated_at": "2025-12-02 09:29:09",          "invoice": null,          "payment_type": {            "id": 1,            "name": "KNET",            "display_name": "KNET"          },          "service_type": {            "id": 3,            "name": "Payment Gateway"          },          "merchant": {            "merchant_id": 84,            "name": "test",            "code": "842217",            "sequence_id": 1100012,            "company_name": "HomeMerchant01"          },          "reconciliation": null,          "payment_card_detail": {            "card_number": null,            "name_on_card": null,            "issuer_name": null          },          "customer": null,          "sales_order": null        }      ],      "pagination": {        "total": 1,        "count": 1,        "per_page": 15,        "current_page": 1,        "total_pages": 1,        "page_url": "https://merchantapisandbox.hesabe.com/api/v1/report/transactions",        "next_page_url": null,        "previous_page_url": null      }    }  }}